#pragma once

#ifdef PDF_DLL_EXPORT
	#define PDFAPI _declspec(dllexport)
#else
	#define PDFAPI _declspec(dllimport)
#endif

#ifdef __cplusplus
extern "C" {
#endif

typedef unsigned char byte;

typedef int (*GetTiff)(void *, byte **, int *);
typedef void (*FreeTiff)(void *);

typedef void * PDF_HANDLE;
typedef void * SECTION_HANDLE;

typedef struct _TIFF_DATA
{
	GetTiff getTiff;
	FreeTiff freeTiff;
	void *data;
} TIFF_DATA;

PDFAPI PDF_HANDLE DSSPDF_New(char *title, char *producer);
PDFAPI SECTION_HANDLE DSSPDF_AddSection(PDF_HANDLE hPdf, char *sectionName);
PDFAPI void DSSPDF_AddPage(SECTION_HANDLE hSection, TIFF_DATA *page);
PDFAPI void DSSPDF_AddFilePage(SECTION_HANDLE hSection, char *fileName);
PDFAPI void DSSPDF_Save(PDF_HANDLE hPdf, char *fileName);
PDFAPI void DSSPDF_Free(PDF_HANDLE hPdf);

#ifdef __cplusplus
}
#endif
